---


- name: stat backup file
  ansible.builtin.stat:
    path: "{{ userhome }}/.config/initial_keyboard_conf"
  register: stat_file


- name: restore /etc/default/keyboard from backup file
  ansible.builtin.copy:
    src:  "{{ userhome }}/.config/initial_keyboard_conf"
    dest:  /etc/default/keyboard
    owner: root
    group: root
    mode:  '0644'
    force: yes
  notify:
    - dpkg_reconfigure_keyboard
    - update_initramfs
  when: stat_file.stat.exists


- name: remove package
  ansible.builtin.apt:
    name:
      - console-setup
      - python3-psutil
    state: absent
